GNU Radio's TEST Package

Functions
soapy_common.h File Reference
`#include <osmosdr/ranges.h>`
`#include <SoapySDR/Types.hpp>`
`#include <mutex>`

Go to the source code of this file.

## Functions
osmosdr::gain_range_t | soapy_range_to_gain_range (const SoapySDR::Range &r)
std::mutex & | get_soapy_maker_mutex (void)

## Function Documentation

## ◆ get_soapy_maker_mutex()

std::mutex & get_soapy_maker_mutex | ( | void |  | ) |

Global mutex to protect factory routines. (optional under 0.5 release above)

## ◆ soapy_range_to_gain_range()

osmosdr::gain_range_t soapy_range_to_gain_range | ( | const SoapySDR::Range & | r | ) |

Convert a soapy range to a gain range. Careful to deal with the step size when zero.